package org.bdware.consistency.plugin.pbft;

import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class PBFTExecutorFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "PBFT";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
        int nodeSize = (int) args.get("nodeSize");
        String contractID = (String) args.get("contractID");
        String masterPubkey = (String) args.get("masterPubkey");
        String[] members = (String[]) args.get("members");
        return new PBFTExecutor(nodeSize, contractID, masterPubkey, members);
    }
}
