package org.bdware.consistency.plugin.raft.algo.message;

public enum RaftMessageType {
    RequestVote(0),
    RequestVoteResponse(1),
    AppendEntries(2),
    AppendEntriesResponse(3),
    Unknown(4);

    private final int type;

    RaftMessageType(int i) {
        type = i;
    }

    public static RaftMessageType fromInt(int i) {
        switch (i) {
            case 0:
                return RequestVote;
            case 1:
                return RequestVoteResponse;
            case 2:
                return AppendEntries;
            case 3:
                return AppendEntriesResponse;
            default:
                return Unknown;
        }
    }

    public int toInt() {
        return type;
    }

}
